/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public interface TriggerData extends com.mysql.grt.base.NamedGrtObjectData {

    public int getOrder();

    public int setOrder(int order);

    public int getEnabled();

    public int setEnabled(int enabled);

    public String getEvent();

    public String setEvent(String event);

    public String getCondition();

    public String setCondition(String condition);

    public String getStatement();

    public String setStatement(String statement);

    public String getOrientation();

    public String setOrientation(String orientation);

    public String getTiming();

    public String setTiming(String timing);

    public String getReferenceNewTable();

    public String setReferenceNewTable(String referenceNewTable);

    public String getReferenceOldTable();

    public String setReferenceOldTable(String referenceOldTable);

    public String getReferenceNewRow();

    public String setReferenceNewRow(String referenceNewRow);

    public String getReferenceOldRow();

    public String setReferenceOldRow(String referenceOldRow);

}
