/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.maxdb;

public class ColumnDataLocal extends com.mysql.grt.db.ColumnDataLocal implements ColumnData {

    private String defaultFunction;

    private String codeType;

    private String privileges;

    private String domainOwner;

    private String domainName;

    private String createDate;

    private String createTime;

    private String alterDate;

    private String alterTime;

    public ColumnDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public String getDefaultFunction() {
        return defaultFunction;
    }

    public String setDefaultFunction(String defaultFunction) {
        this.defaultFunction = defaultFunction;

        return getDefaultFunction();
    }

    public String getCodeType() {
        return codeType;
    }

    public String setCodeType(String codeType) {
        this.codeType = codeType;

        return getCodeType();
    }

    public String getPrivileges() {
        return privileges;
    }

    public String setPrivileges(String privileges) {
        this.privileges = privileges;

        return getPrivileges();
    }

    public String getDomainOwner() {
        return domainOwner;
    }

    public String setDomainOwner(String domainOwner) {
        this.domainOwner = domainOwner;

        return getDomainOwner();
    }

    public String getDomainName() {
        return domainName;
    }

    public String setDomainName(String domainName) {
        this.domainName = domainName;

        return getDomainName();
    }

    public String getCreateDate() {
        return createDate;
    }

    public String setCreateDate(String createDate) {
        this.createDate = createDate;

        return getCreateDate();
    }

    public String getCreateTime() {
        return createTime;
    }

    public String setCreateTime(String createTime) {
        this.createTime = createTime;

        return getCreateTime();
    }

    public String getAlterDate() {
        return alterDate;
    }

    public String setAlterDate(String alterDate) {
        this.alterDate = alterDate;

        return getAlterDate();
    }

    public String getAlterTime() {
        return alterTime;
    }

    public String setAlterTime(String alterTime) {
        this.alterTime = alterTime;

        return getAlterTime();
    }

}
