/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.base;

public class NamedGrtObjectDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements NamedGrtObjectData {

    public NamedGrtObjectDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public String getOldName() {
        return getGrtGlobalAsString("oldName");
    }

    public String setOldName(String oldName) {
        setGrtGlobalFromString("oldName", oldName);

        return getOldName();
    }

    public String getComment() {
        return getGrtGlobalAsString("comment");
    }

    public String setComment(String comment) {
        setGrtGlobalFromString("comment", comment);

        return getComment();
    }

}
