/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class ViewDataLocal extends com.mysql.grt.db.DatabaseObjectDataLocal implements ViewData {

    private int withCheckCondition;

    private int isReadOnly;

    private String queryExpression;

    public ViewDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getWithCheckCondition() {
        return withCheckCondition;
    }

    public int setWithCheckCondition(int withCheckCondition) {
        this.withCheckCondition = withCheckCondition;

        return getWithCheckCondition();
    }

    public int getIsReadOnly() {
        return isReadOnly;
    }

    public int setIsReadOnly(int isReadOnly) {
        this.isReadOnly = isReadOnly;

        return getIsReadOnly();
    }

    public String getQueryExpression() {
        return queryExpression;
    }

    public String setQueryExpression(String queryExpression) {
        this.queryExpression = queryExpression;

        return getQueryExpression();
    }

}
