/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.maxdb;

public class TriggerDataGlobal extends com.mysql.grt.db.TriggerDataGlobal implements TriggerData {

    public TriggerDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public String getCreateDate() {
        return getGrtGlobalAsString("createDate");
    }

    public String setCreateDate(String createDate) {
        setGrtGlobalFromString("createDate", createDate);

        return getCreateDate();
    }

    public String getCreateTime() {
        return getGrtGlobalAsString("createTime");
    }

    public String setCreateTime(String createTime) {
        setGrtGlobalFromString("createTime", createTime);

        return getCreateTime();
    }

    public String getDefinition() {
        return getGrtGlobalAsString("definition");
    }

    public String setDefinition(String definition) {
        setGrtGlobalFromString("definition", definition);

        return getDefinition();
    }

    public String getComment() {
        return getGrtGlobalAsString("comment");
    }

    public String setComment(String comment) {
        setGrtGlobalFromString("comment", comment);

        return getComment();
    }

}
