/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public interface WidgetData extends com.mysql.grt.GrtObjectData {

    public int getLeft();

    public int setLeft(int left);

    public int getTop();

    public int setTop(int top);

    public int getWidth();

    public int setWidth(int width);

    public int getHeight();

    public int setHeight(int height);

    public int getAutosize();

    public int setAutosize(int autosize);

    public int getEnabled();

    public int setEnabled(int enabled);

    public int getVisible();

    public int setVisible(int visible);

    public String getCaption();

    public String setCaption(String caption);

    public String getColor();

    public String setColor(String color);

    public String getEventOnClick();

    public String setEventOnClick(String eventOnClick);

    public String getEventOnDblClick();

    public String setEventOnDblClick(String eventOnDblClick);

    public String getEventOnResize();

    public String setEventOnResize(String eventOnResize);

    public String getEventOnMouseDown();

    public String setEventOnMouseDown(String eventOnMouseDown);

    public String getEventOnMouseMove();

    public String setEventOnMouseMove(String eventOnMouseMove);

    public String getEventOnMouseUp();

    public String setEventOnMouseUp(String eventOnMouseUp);

    public String getEventOnMouseIn();

    public String setEventOnMouseIn(String eventOnMouseIn);

    public String getEventOnMouseOut();

    public String setEventOnMouseOut(String eventOnMouseOut);

    public String getEventOnKeyDown();

    public String setEventOnKeyDown(String eventOnKeyDown);

    public String getEventOnKeyUp();

    public String setEventOnKeyUp(String eventOnKeyUp);

    public com.mysql.grt.forms.Anchors getAnchors();

    public com.mysql.grt.forms.Anchors setAnchors(com.mysql.grt.forms.Anchors anchors);

    public com.mysql.grt.forms.Constraints getConstraints();

    public com.mysql.grt.forms.Constraints setConstraints(com.mysql.grt.forms.Constraints constraints);

    public com.mysql.grt.forms.WidgetList getControls();

    public com.mysql.grt.forms.WidgetList setControls(com.mysql.grt.forms.WidgetList controls);

    public com.mysql.grt.forms.Widget getParent();

    public com.mysql.grt.forms.Widget setParent(com.mysql.grt.forms.Widget parent);

    public String getParentById();

    public void setParentById(String parent);

}
